%global _empty_manifest_terminate_build 0

Name:           python-pycryptodomex
Version:        3.18.0
Release:        1
Summary:        Cryptographic library for Python
License:        BSD 2-Clause and Public Domain and Apache-2.0
URL:            https://www.pycryptodome.org
Source0:        https://files.pythonhosted.org/packages/40/92/efd675dba957315d705f792b28d900bddc36f39252f6713961b4221ee9af/pycryptodomex-3.18.0.tar.gz
Patch0:         python-pycryptodomex-3.15.0-use_external_libtomcrypt.patch

%description
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%package -n python3-pycryptodomex
Summary:        Cryptographic library for Python
Provides:       python-pycryptodomex
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  libtomcrypt-devel
%description -n python3-pycryptodomex
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%package help
Summary:        Cryptographic library for Python
BuildArch:      noarch
Provides:       python3-pycryptodomex-doc
%description help
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%prep
%autosetup -n pycryptodomex-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pycryptodomex -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 10 2023 niuyaru <niuyaru@kylinos.cn> - 3.18.0-1
- Upgrade package to version 3.18.0

* Fri Apr 07 2023 wulei <wu_lei@hoperun.com> - 3.17-1
- Upgrade package to version 3.17

* Thu Dec 15 2022 fushanqing <fushanqing@kylinos.cn> - 3.16.0-1
- update to 3.16.0

* Tue Jul 12 2022 huangtianhua <huangtianhua@huawei.com> - 3.15.0-2
- Use pypi package to generate correct dist package

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.15.0-1
- Upgrade to version 3.15.0

* Thu Jun 09 2022 OpenStack_SIG <openstack@openeuler.org> - 3.14.1-1
- Upgrade package python3-pycryptodomex to version 3.14.1

* Tue Aug 03 2021 OpenStack_SIG <openstack@openeuler.org> - 3.10.1-1
- Update vertion to 3.10.1

* Wed Jul 21 2021 shixuantong<shixuantong@huawei.com> - 3.9.7-2
- remove gdb from BuildRequires
- Be More specific on BSD and Apache license

* Wed May 20 2020 Python_Bot <Python_Bot@openeuler.org> - 3.9.7-1
- Package Spec generated
